import configparser
import logging

from voluptuous import Schema, Error
from voluptuous.humanize import validate_with_humanized_errors

from carom.const import CONFIG_FILES, DEFAULT_CONFIG

logger = logging.getLogger(__name__)

_parser = configparser.ConfigParser()
_parser.read_string(DEFAULT_CONFIG)
_parser.read(CONFIG_FILES)
# Convert the ConfigParser object to a real dict now:
_parser_dict = {s: dict(_parser.items(s)) for s in _parser.sections()}
_schema = Schema({
    'test': {
        'foo': str,
    },
})

try:
    config = validate_with_humanized_errors(_parser_dict, _schema)
except Error as e:
    logger.error('Failed to validate the configuration:\n{}'.format(e))
__all__ = ('config', )
